CPACFINFO(1)

NAME
cpacfinfo - tool to provide information about CPACF

SYNOPSIS
cpacfinfo [OPTIONS] [<INS>,...] [--format <FORMAT>]

DESCRIPTION
cpacfinfo is able to provide information about the MSA levels supported by the system as well as which CPACF instructions and functions are available.

OPTIONS

-m/--msa
    Displays which MSA levels are enabled and how many functions of the ones introduced by this level are available. Can be combined with -f/--functions to list all functions under the corresponding MSA level. Can be combined with -i/--instructions to provide only specific instructions. Can be combined with -a/--available -n/--not-available to filter the displayed function. Ignores option -q/--quiet. Can be combined with --format to convert to JSON format.

-f/--functions
    Displays subfunctions of CPACF instructions. Can be combined with -a/--available and -n/--not-available to filter what functions are displayed. By default -f/--functions will only provide information about available functions. Therefore cpacfinfo -f/--functions and cpacfinfo -f/--functions --available show the same output. Use options -f/--functions -a/--available -n/--not-available together to show information about every function known by the tool. Additionally cpacfinfo shows available functions not known to the tool as "UNKNOWN".

-i/--instructions <INS>,...
    Restricts output of CPACF instructions to be listed. Multiple instructions can be supplied separated by "," to only show the supplied instructions in the output. Other options like --quiet -f/--functions -m/--msa or filters like -a/--available -n/--not-available can still be used to further limit output. Possible values for <INS> :

    •   km : introduced with MSA

    •   kmc : introduced with MSA

    •   kimd : introduced with MSA

    •   klmd : introduced with MSA

    •   kmac : introduced with MSA

    •   pckmo : introduced with MSA 3

    •   kmf : introduced with MSA 4

    •   kmctr : introduced with MSA 4

    •   kmo : introduced with MSA 4

    •   pcc : introduced with MSA 4

    •   prno : introduced with MSA 5

    •   kma : introduced with MSA 8

    •   kdsa : introduced with MSA 9

-a/--available
    Displays the CPACF subfunctions available on the system. cpacfinfo -f/--functions is the same as cpacfinfo -f/--functions -a/--available. If -n/--not-available is specified no available functions are shown. To get available as well as functions not available use cpacfinfo -f/--functions -a/--available -n/--not-available.

-n/--not-available
    Displays the CPACF subfunctions known by the tool that are not-available on the system. Depending on the Hardware not all MSA levels might be available which can be checked with the -m/--msa option. In such cases it might not be obvious which functions of which instructions are available. This option together with the -a/--available option shows all possible functions.

-q/--quiet
    Suppresses the output of the Query Authentication Information. By default cpacfinfo outputs the Query Authentication Information for every Instruction. To keep outputs of other options clean and minimal this can be disabled with this option. On machines that do not provide /sys/devices/system/cpu/cpacf/ output will always look like this option is supplied.

--format <FORMAT>
    Format output in the specified format. [default: 'human'] If option -m/--msa is specified the JSON output will equal to cpacfinfo -m without any other specified options. If -m/--msa is NOT specified the JSON output will equal to cpacfinfo -f without any other specified options. Possible values for <FORMAT> :

    •   human : Use human readable format.

    •   json : Use JSON format.

-v/--version
    Print version information and exit.

-h/--help
    Print help (see a summary with -h')

Query Authentication Information
The Query Authentication Information is available since MSA 13 and if it is available cpacfinfo will display it by default. Query Authentication Information is available for every CPACF instruction and contains the following:

    •   Format : This format specifies how the binary blob read from sysfs is to be parsed and says nothing about the Query Authentication Information itself.

    •   Hash length : The hash length specifies the length of the hash in bytes.

    •   IFCL version : The IFCL version specifies the instruction's firmware code level.

    •   Hash : The hash of the firmware code level of the corresponding instruction.